/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */


.small-box {
  overflow: hidden;
  margin-bottom: $form-group-margin-bottom;
  &:hover {
    text-decoration: none;
    color: inherit;
  }

  // icon heading
  .icon-heading {
    > .fa {
      display: block;
      text-align: center;
    }
    @include transition(all $transition-speed linear);
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 0;
    font-size: 24px;
    width: 24px;
    line-height: 24px;
    opacity: .15;
    //color: rgba(0, 0, 0, 0.15);

    & ~ .inner {
      padding-left:45px;
    }

    .inner > *:last-child {
      margin-bottom: 0;
    }
  }
}

.small-box.bg-warning {
  box-shadow: 0 1px 1px fade($orange, 20%);
}

.small-box-dismissible,
.small-box-dismissable {
  .inner {
    padding-right: 30px;
  }
  .close {
    position: relative;
    top: 5px;
    right: 10px;
    color: inherit;
  }
}

@media (max-width: $screen-xs-max) {
  // No need for icons on very small devices
  .small-box {
    text-align: left;
    .icon-heading {
      display: none;
      & ~ .inner {
        padding-left:10px;
      }
    }
    .inner {
      font-size: 12px;
    }
  }
}
